Bug 444290 - dep failure doesn't allow skipping packages
Summary: dep failure doesn't allow skipping packages
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit   
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-26 17:02 UTC by Rahul Sundaram
Modified: 2013-03-13 05:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 13:01:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2008-04-26 17:02:43 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Rahul Sundaram 2008-04-26 17:04:40 UTC
Run gpk-update-viewer on some broken repository and even if there is a single
dep failure, I am not allowed to update the other packages. Yum supports
--skip-broken to leave out the broken dependencies, skip packages and update the
rest. PackageKit should support this. 

Comment 2 Richard Hughes 2008-04-29 12:52:19 UTC
Robin - can we not just add .skipbroken=1 by default, and emit broken for the
packages that can't be updated?

Comment 3 Bug Zapper 2008-05-14 10:12:54 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Brennan Ashton 2008-06-08 01:24:39 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 5 Richard Hughes 2008-10-14 13:01:53 UTC
I've added skip broken in rawhide when you do update-system.


Note You need to log in before you can comment on or make changes to this bug.